Bug 691887 - ValueError: Cannot remove extended partition sda4. Logical partitions present.
Summary: ValueError: Cannot remove extended partition sda4. Logical partitions present.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: David Lehman
QA Contact: Release Test Team
URL:
Whiteboard: anaconda_trace_hash:d5dc145d12481ebdd...
: 691950 (view as bug list)
Depends On:
Blocks: 705163
TreeView+ depends on / blocked
 
Reported: 2011-03-29 19:33 UTC by Red Hat Case Diagnostics
Modified: 2018-11-14 15:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-15 18:13:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
File: backtrace (402.07 KB, text/plain)
2011-03-29 19:34 UTC, Red Hat Case Diagnostics
no flags Details
anaconda's crash information (414.78 KB, text/plain)
2011-03-30 15:01 UTC, IBM Bug Proxy
no flags Details
sosreport from ls-b110 (405.27 KB, application/x-xz)
2011-03-30 15:01 UTC, IBM Bug Proxy
no flags Details

Description Red Hat Case Diagnostics 2011-03-29 19:33:54 UTC
The following was filed automatically by anaconda:
anaconda 13.21.82 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicetree.py", line 755, in _removeDevice
    "Logical partitions present." % dev.name)
  File "/usr/lib/anaconda/storage/devicetree.py", line 800, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/anaconda/storage/__init__.py", line 796, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib/anaconda/storage/partitioning.py", line 900, in doPartitioning
    storage.destroyDevice(part)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1584, in refresh
    doPartitioning(self.storage)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1323, in deleteCB
    self.refresh(justRedraw=justRedraw)
ValueError: Cannot remove extended partition sda4.  Logical partitions present.

Comment 1 Red Hat Case Diagnostics 2011-03-29 19:34:23 UTC
Created attachment 488537 [details]
File: backtrace

Comment 4 Chris Lumens 2011-03-30 14:47:38 UTC
*** Bug 691950 has been marked as a duplicate of this bug. ***

Comment 5 IBM Bug Proxy 2011-03-30 15:01:51 UTC
Created attachment 488786 [details]
anaconda's crash information

Comment 6 IBM Bug Proxy 2011-03-30 15:01:57 UTC
Created attachment 488787 [details]
sosreport from ls-b110

Comment 8 IBM Bug Proxy 2011-07-08 06:40:47 UTC
------- Comment From vahegde1@linux.vnet.ibm.com 2011-07-08 02:36 EDT-------
Hello Red Hat,

Its been some time we have not heard anything on this bug. Trying to understand the status of this issue. Can you please provide the update ?

Thanks
Vasant

Comment 9 David Lehman 2011-07-08 15:55:38 UTC
Can you provide a procedure I can use to reproduce this failure?

Comment 10 David Cantrell 2011-08-15 18:13:28 UTC
No information received.  If you are able to provide the information requested in comment #9, feel free to reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.